@import "$SHAREDSTYLES/base/_variables.scss";


.card_container {
    display: inline-block !important;
    width: 100%;
    background-color: #fff;
    padding: 15px;
    border-bottom: 1px solid #f4f4f4;
    font-size: 12px;
    position: relative;

    span {
        // margin: 5px 15px 5px 0;
        font-size: 14px;
        // font-weight: bold;
    }

    .itemName {
        // font-weight: 600;
        font-size: 16px;
        width: 100%;
        float: left;
        margin-bottom: 7px;

        .med_name {
            font-weight: 600;
            width: 76%;
        }

        .med_avail {
            svg {
                margin-top: 3px;
            }
        }
    }

    .manufacturerName {
        /*font-weight: 100;*/
        color: $grey-text;
        font-size: 13px;
        width: 90%;
    }

    .discountedPrice {
        color: $purple;
    }

    .discount {
        background-color: $light-purple;
        color: $purple;
        height: 18px;
        width: 45px;
        text-align: center;
        display: inline-block;
        line-height: 18px;
        border-radius: 2px;

        small {
            font-size: 9px;
            display: inline-block;
            vertical-align: middle;
        }
    }

    .discounted_mrp {
        // font-size: 14px;
    }

    .mrp {
        color: #FF7DA4;
        // font-size: 12px;
        // text-decoration: line-through;
    }

    .packing {
        margin: 10px 0;
        color: $grey-text;
        display: inline-block;
        float: left;
    }

    .selectBoxWraper {
        width: 55px;
        display: inline-block;
        margin-left: 8px;
    }

    .packing_option_wraper {
        width: 150px;
        display: inline-block;
        margin-bottom: -7px;
    }

    .selectQty {
        border: 1px solid $grey-text;
        width: 50px;
        margin-left: 10px;
        margin-top: -2px;
        vertical-align: middle;
    }

    .cardActions {
        float: right;

        .removeBtnWrap {
            position: absolute;
            right: 15px;
            bottom: -3px;
        }

        .addBtn {
            border: 1px solid #e1e1e1;
            padding: 5px 9px;
            background-color: #fff;
            color: #ff7300;
            // margin-top: 6px;
            float: right;
        }

        .addedBtn {
            border: 1px solid #e1e1e1;
            padding: 5px 9px;
            background-color: #e1e1e1;
            color: #fff;
            // margin-top: 6px;
            float: right;
        }
    }

    .removeBtn {
        display: inline-block;
        // border: solid 0.5px #e1e1e1;
        border-radius: 2px;
        height: 30px;
        width: 35px;
        text-align: center;
        line-height: 34px;

        svg {
            float: none;
            margin: 0;
        }
    }

    .search_remove_btn {
        position: absolute;
        top: 12px;
        border: 0;
        right: 5px;
    }

    .extended {
        padding-top: 30px;
        display: inline-block;
        width: 100%;
    }

    .selectBoxWraper {
        width: 55px;
        display: inline-block;
        margin-left: 8px;
        margin-top: -15px;
    }

    svg {
        float: left;
        margin-right: 8px;
    }

    .price_container {
        span {
            margin-right: 9px;
        }
    }
}